name: workflow_run # Name of workflow

on:
  workflow_run: # Depend on the workflow completion of "workflow_dispatch"
    workflows: ["workflow_dispatch"]
    types:
      - completed

jobs:
  echo-hi-all: # Name of job
    # Only run if the first workflow succeeded
    if: ${{ github.event.workflow_run.conclusion == 'success' }}
    runs-on: ubuntu-latest
    steps:
      - name: Echo "Hi all"
        run: |
          echo "Hi all (chained via workflow_run)"
